<?php
#**************************************************************************
#  ilsasSIS is a free student information system for public and non-public
#  programs from Open Solutions for Education, Inc. web: www.TNB ILSAS.com
#
#  ilsasSIS is  web-based, open source, and comes packed with features that
#  include student demographic info, scheduling, grade book, attendance,
#  report cards, eligibility, transcripts, parent portal,
#  student portal and more.
#

#  If you have question regarding this system or the license, please send
#  an email to info@TNB ILSAS.com.
#
#  This program is released under the terms of the GNU General Public License as
#  published by the Free Software Foundation, version 2 of the License.
#  See license.txt.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#***************************************************************************************
include('../../Redirect_modules.php');
$menu['Eligibility']['admin'] = array(
						'Eligibility/Student.php'=>''._('Student Screen').'',
						'Eligibility/AddActivity.php'=>''._('Add Activity').'',
						1=>''._('Reports').'',
						'Eligibility/StudentList.php'=>''._('Student List').'',
						'Eligibility/TeacherCompletion.php'=>''._('Lecturer Completion').'',
						2=>''._('Setup').'',
						'Eligibility/Activities.php'=>''._('Activities').'',
						'Eligibility/EntryTimes.php'=>''._('Entry Times').''
					);

$menu['Eligibility']['teacher'] = array(
						'Eligibility/EnterEligibility.php'=>''._('Enter Eligibility').''
					);

$menu['Users']['admin'] += array(
						'Users/TeacherPrograms.php?include=Eligibility/EnterEligibility.php'=>''._('Enter Eligibility').''
					);

$exceptions['Eligibility'] = array(
						'Eligibility/AddActivity.php'=>true
					);

$exceptions['Users'] += array(
						'Users/TeacherPrograms.php?include=Eligibility/EnterEligibility.php'=>true
					);
?>
